
uses
  testlib, sysutils;

var
  astr, ostr: string;
  l: longint;
begin 
  l := 0;
  while not ouf.eof and not ans.eof do begin
    inc(l);
    astr := ouf.readstring;
    ostr := ans.readstring;
    if (astr<>ostr) then 
    begin
    	quit(_wa,'Different lines: '+inttostr(l));
    end;
  end;

  if ouf.Eof and (not ans.Eof) then begin
    quit(_wa, 'Not enough lines!');
  end;

  if ans.Eof and not ouf.Eof then begin
    quit(_wa, 'Extra lines!');
  end;

  quit( _ok, 'Ok. Total lines: '+inttostr(l));
end.